import UIKit

class BaseNavigationViewController: UINavigationController {
  
  struct Constants {
    static let reuseIdentifier = String(describing: BaseNavigationViewController.self)
    static let storyboardName = "Documents"
  }
  
  static func buildViewController() -> BaseNavigationViewController {
    let controller = UIStoryboard(name: Constants.storyboardName,
                                  bundle: .main).instantiateViewController(withIdentifier: Constants.reuseIdentifier)
    return controller as! BaseNavigationViewController
  }
  
  override func viewDidLoad() {
    super.viewDidLoad()
    navigationBar.prefersLargeTitles = true
    navigationItem.largeTitleDisplayMode = .always
  }
}
