//
//  FolderCollectionViewCell.swift
//  MiniScanner
//
//  Created by George Makhoul on 06/06/2024.
//  Copyright © 2024 AppsNectar. All rights reserved.
//

import UIKit

class FolderCollectionViewCell: UICollectionViewCell {
    // MARK: - Outlets
    @IBOutlet weak var boxView: UIView!
    @IBOutlet weak var titleLabel: UILabel!
    
    // MARK: - Properties
    var isFolderSelected: Bool = false
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
        setupUI()
    }
    
    private func setupUI() {
        boxView.layer.cornerRadius = 10
        boxView.layer.shadowColor = UIColor.gray.cgColor
        boxView.layer.shadowOffset = CGSize(width: 0, height: 2) // Shadow position
        boxView.layer.shadowOpacity = 0.7 // Shadow opacity
        boxView.layer.shadowRadius = 4.0
        boxView.backgroundColor = .white // or any non-clear color
        boxView.clipsToBounds = false

    }
    
    private func setSelected() {
        self.titleLabel.textColor = isFolderSelected ? .white : .black
        self.boxView.backgroundColor = isFolderSelected ? .blue : .white
    }
    
    func set(folder: AppConfigurator.Folder) {
        self.titleLabel.text = folder.name
        isFolderSelected = folder.isSelected
        setSelected()
    }
}
